<template>
  <div class="dropdown" :class="{ opened, disabled }" @click="toggle()">
    <span class="icon"></span>
    <span class="value">{{ disabled ? disabledMessage : value }}</span>
  </div>
</template>

<script>
export default {
  props: {
    value: {
      type: String
    },

    opened: {
      value: Boolean,
      default: false
    },

    disabled: {
      value: Boolean,
      default: false
    },

    disabledMessage: {
      value: String,
      default: ""
    }
  },

  methods: {
    toggle() {
      if (!this.disabled) {
        this.$emit("toggle");
      }
    }
  }
};
</script>

<style lang="scss" scoped>
.dropdown {
  position: relative;
  border: 1px $color-pigeon-grey solid;
  border-radius: 2px;
  height: 40px;
  cursor: pointer;
  background: $color-white;
  user-select: none;

  @include media-breakpoint-down(md) {
    text-align: left;
  }

  &.disabled {
    background: $color-genesis-white;
    color: $color-silver-grey;
    cursor: default;
  }
}

.icon {
  position: absolute;
  right: 18px;
  top: 0;
  line-height: 40px;
}

.icon::before {
  content: "A";
  font-family: skm;
  font-size: 12px;
  width: 12px;
  height: 12px;
}

.value {
  display: inline-block;
  margin-left: 20px;
  line-height: 40px;
  font-weight: 500;
  font-size: 16px;
}

.opened {
  background: $color-skm-red;
  color: $color-white;
  border: none;

  .icon {
    transform: rotateZ(180deg);
  }
}
</style>
